{
  "taskitem": {
    "_parent": {
      "type": "task"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idBill": {
        "type": "long"
      },
      "idTask": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idOrderPart": {
        "type": "long"
      },
      "orderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "clientName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "productSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "orderMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "orderDeliverDateLong": {
        "type": "long"
      },
      "orderAllProcessStr": {
        "type": "text",
        "index": "not_analyzed"
      },
      "orderQty": {
        "type": "double"
      },
      "idProduct": {
        "type": "long"
      },
      "idPartInfo": {
        "type": "long"
      },
      "productName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partIdPaperQuoteInfo": {
        "type": "long"
      },
      "partQuotePaperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partHeight": {
        "type": "double"
      },
      "partWidth": {
        "type": "double"
      },
      "locationX": {
        "type": "double"
      },
      "locationY": {
        "type": "double"
      },
      "rotationAngle": {
        "type": "integer"
      },
      "bloodValue": {
        "type": "double"
      },
      "faceCount": {
        "type": "integer"
      },
      "partQty": {
        "type": "double"
      },
      "paperSuttle": {
        "type": "integer"
      },
      "originFile": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pDFFileObverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pDFFileObversePageIndex": {
        "type": "integer"
      },
      "pDFFileReverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pDFFileReversePageIndex": {
        "type": "integer"
      },
      "moduleCount": {
        "type": "integer"
      },
      "partPageQty": {
        "type": "integer"
      },
      "partPdfStartPageIndex": {
        "type": "integer"
      },
      "partPdfEndPageIndex": {
        "type": "integer"
      },
      "partDraftCount": {
        "type": "integer"
      },
      "partJointQty": {
        "type": "integer"
      },
      "partJointPageSort": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}